from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XRemoteContentProviderDistributor(XInterface, Protocol):
    def disconnectFromRemoteAcceptor(self, Url: str) -> bool: ...
    def disconnectFromAll(self) -> None: ...
